commit 68300c3452592a9e7bf60b4edb008785c4c891c4
Author: Matt Turner <mattst88@gmail.com>
Date:   Thu Dec 8 10:37:07 2022 -0500

    libfontenc 1.1.7
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit ec2ef12a0daf7bea60e9616ea8bc4bd61f3cf36f
Author: Matt Turner <mattst88@gmail.com>
Date:   Tue Nov 29 12:05:32 2022 -0500

    configure: Use AC_SYS_LARGEFILE to enable large file support
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit c8f8ce35a5eafe8ca0d1ed3dfdd098fe0943b99c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Aug 30 16:51:28 2022 -0700

    libfontenc 1.1.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f7f8c9af5773c3c73a635308054872b49c5bbe94
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Aug 30 08:21:01 2022 -0700

    include config.h before system headers
    
    Makes sure any defines needed to expose functions like reallocarray()
    are present on platforms that need them (_GNU_SOURCE, _OPENBSD_SOURCE,
    __EXTENSIONS__, etc.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 26ae989526a2c931d15a4c4ae2e84ab627bc0009
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 26 14:59:03 2022 -0700

    libfontenc 1.1.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit be77631bbc5fee12c9028f9ffd577dc1066231b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jul 17 13:00:37 2022 -0700

    configure: Use AC_USE_SYSTEM_EXTENSIONS to set GNU_SOURCE & other defines
    
    Ensures reallocarray is visible in system headers if available.
    (See libxext#4.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1aeb6a2d1673c1ae23763f55f09fb18d8e188fe0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 8 11:24:31 2022 -0700

    Convert code to use Xmallocarray() & Xreallocarray()
    
    Provides automatic integer overflow checking in allocation size calculations
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3ff95c472abe8eb8fe1ccda5cd40d99407f1f9a4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 8 11:14:11 2022 -0700

    Import reallocarray() from libX11 (originally from OpenBSD)
    
    Wrapper for realloc() that checks for overflow when multiplying
    arguments together, so we don't have to add overflow checks to
    every single call.  For documentation on usage, see:
    http://www.openbsd.org/cgi-bin/man.cgi/OpenBSD-current/man3/calloc.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a6a3bd1365798783f3fa5552d4ab061d5636d15a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 8 10:18:42 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 256ff55667e70b4cdb91d0dc10636ec6c1b9d598
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 8 10:15:47 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 91b7c7d02ddb2ddce39648270f5cb91fac7d978e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 8 10:14:39 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2baea13978759d1a011fc6d739465893b554d30a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 19 17:31:57 2019 -0800

    libfontenc 1.1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d7f661849c18c354f1692d9859e057aa3a7ddf93
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:29:22 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b12b2d71f1547e832ac14b66a0d94d88b3675b25
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 23:01:09 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b28c2d111e9d02ea1a42ac27a1330b0ba1efb4a6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 11 13:58:34 2018 -0800

    Fix iso8859-7 mappings for 0xA1, 0xA2, & 0xFF
    
    Fixes: https://gitlab.freedesktop.org/xorg/lib/libfontenc/issues/1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8d30ca25b54934e29206da64e80c044d05b14470
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit cc7e0f5529ab5c25aa2adc31a629a5e43cf1f319
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 38aac013fcfd6e54a9fd9847ed798a5a20bd7139
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 8bbc9af3ef1160f16f176be07c917f9cccf229b2
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Jul 26 18:32:23 2015 +0200

    make FontEncDirectory return a const string
    
    Its comment already said "This string is static and should not be
    modified".
    
    encparse.c: In function 'FontEncDirectory':
    encparse.c:844:17: warning: assignment discards 'const' qualifier from pointer target type
                 dir = FONT_ENCODINGS_DIRECTORY;
                     ^
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 42f3a39c3085afd9ef904ae39102fd49bbc2e4a5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 30 21:39:51 2015 -0700

    libfontenc 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit de1843aaf76015c9d99416f3122d169fe331b849
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 17 19:37:28 2015 -0800

    Initialize aliases array in parseEncodingFile()
    
    The static analyzer insisted there were code paths that entries in this
    array could be read without them being initialized.  While I couldn't
    see any way that would happen, this makes sure it can't and makes the
    analyzer quiet.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c377d91157601df90936e49167ce28a548c9b740
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 17 19:18:41 2015 -0800

    Reformat code to X.Org standard style
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8eefb5a18de41b693c00767458ee51f034201ebf
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 17 18:46:49 2015 -0800

    Replace strcpy+strcat calls with snprintf calls
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a5221fc11307eb1230ae2643c6e423b0f7867fde
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 17 18:36:07 2015 -0800

    Replace sprintf call with snprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0037a42107b952c9d903719615747e760e4e7247
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 26 09:40:00 2013 -0800

    Initialize both value1 & value2, not value1 twice
    
    Flagged by cppcheck 1.62:
    [src/encparse.c:303] -> [src/encparse.c:303]: (performance, inconclusive)
     Variable 'value1' is reassigned a value before the old one has been used
     if variable is no semaphore variable.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3acba630d8b57084f7e92c15732408711ed5137a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 25 20:52:11 2013 -0700

    libfontenc 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 624508365ec3279bc74ce523d024533e062629e1
Author: Nickolai Zeldovich <nickolai@csail.mit.edu>
Date:   Sun Mar 3 23:57:34 2013 -0500

    libfontenc: setCode(): fix realloc invocation
    
    This patch fixes two bugs in the realloc invocation in setCode(), which
    most likely cause memory corruption when realloc is triggered:
    
    1. Pass *enc to realloc (which is the dynamically-allocated buffer),
       instead of enc (which stores a pointer to the dynamically-allocated
       buffer).
    
    2. Allocate enough memory for (*encsize) shorts, instead of (*encsize)
       bytes; see the call to malloc just above the realloc call.
    
    Signed-off-by: Nickolai Zeldovich <nickolai@csail.mit.edu>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f5d1208172e965fdd7fae8927bd3e29b3cc3a975
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 08:23:09 2013 -0800

    Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS
    
    Excerpt https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
      - Support for the long-deprecated INCLUDES variable will be removed
        altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
        used instead.
    
    This variable was deprecated in Automake releases prior to 1.10, which is
    the current minimum level required to build X.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0c3518df24192f18f15ce91c2868560a5973a3dc
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit edd325236d39b6ad130c82d90b04dcc3b153d8b2
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Jan 15 14:28:48 2013 -0500

    configure: Remove AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 7de846ed190b2564b0642de79918dd3804083b4e
Author: James Cloos <cloos@jhcloos.com>
Date:   Tue Apr 24 16:01:35 2012 -0400

    Fix ISO-8859-7 → ISO-10646 mapping.
    
    ISO-8859-7 code point 0xD2 is unassigned.
    
    ISO-10646 code point U+03A2, to which 0xD2 was mapping, also is unassigned.
    
    Reported by Norm Pierce.
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit f7682533fa6de77d8bd6fa6480a0f5188e0e56d7
Author: James Cloos <cloos@jhcloos.com>
Date:   Tue Apr 24 15:55:59 2012 -0400

    Fix ISO-8859-6 → ISO-10646 mapping.
    
    ISO-8859-6 code point 0xC0 is unassigned.
    
    ISO-10646 code point U+0620, to which 0xC0 was mapping, has since been
    assigned an unrelated character.
    
    Reported by Norm Pierce.
    
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 6012075d945e527866ef31b8796e04d6581071db
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 2 17:51:30 2012 -0800

    libfontenc 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 381c9efec4c066d984514d226b61b3360741aea2
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Fri Nov 11 10:22:52 2011 -0800

    Include strings.h for strcasecmp
    
    Our minimum requirement for X11 is currently Unix98.  Unix98 provides
    strcasecmp in <strings.h>.  This commit fixes implicit declarations
    of this function on systems that closely adhere to the standard.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 1da600011b7e89981592308843ce7230fa5f87f1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:07:14 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 272b776fbd8598ff447585b8105e622d8244db7c
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Mon May 9 09:43:24 2011 -0700

    Dead code removal
    
    encparse.c:750:9: warning: Value stored to 'namsize' is never read
            namsize = 0;
            ^         ~
    
    Found-by: clang static analyzer
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 39800e873e8a57ee904aaf3e39315f5250bcd26f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 3 17:37:36 2011 -0500

    config: comment, minor upgrade, quote and layout configure.ac
    
    Group statements per section as per Autoconf standard layout
    Quote statements where appropriate.
    Autoconf recommends not using dnl instead of # for comments
    
    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters.
    Add AC_CONFIG_SRCDIR([Makefile.am])
    Update X.Org util-macros to version 1.8
    
    This helps automated maintenance and release activities.
    Details can be found in http://wiki.x.org/wiki/NewModuleGuidelines
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bd845a08f03afc4065cf418647d27129044fe96f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 28 19:41:37 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8acc384499a31bd41a7b62e8f6977d67182e5f06
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 27 18:50:14 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0e3929c939d3f6c2ca79defcad8d2cceb3dba5df
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 19 22:03:22 2010 -0800

    Fail configure if zlib.h & -lz not found
    
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=31595
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>

commit a52174d1a7562a656559f9bb728a80982b814043
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Oct 20 22:35:18 2010 -0700

    libfontenc 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit af4a0a752c169b2c003978c550d57602af3fbe01
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 14 20:15:18 2010 -0700

    Don't need to check if pointer is NULL before calling free()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit 2218195ebb18b620f9e8e0adbea6f7c87ace33ce
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 14 20:09:21 2010 -0700

    Replace malloc(strlen()) + strcpy() with strdup()
    
    Now that we use malloc directly instead of xalloc, we can use
    strdup directly too.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit 4af0cf6ef7309df18c81a1fd109a168c767d9f3d
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Mon May 10 22:52:42 2010 +0700

    Nuke unnecessary casts
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cfc89d09f1bf0ecbe602578fc80dcf6fe46b1c54
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Mon May 10 22:52:41 2010 +0700

    Expand xalloc/xrealloc/xfree macros
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3db0064e4b6108716767b136ba5867c4cdf57f99
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Mon May 10 22:52:40 2010 +0700

    unifdef FONTENC_NO_LIBFONT
    
    This symbol was unconditionally defined in Makefile
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8029fc07fc28e427979c81dd50087083e441d65d
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Mon May 10 22:52:39 2010 +0700

    Nuke RCS tags
    
    Signed-off-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3e00a8c322ea5fd8ea21f83f5861c59aa91ce341
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 16:50:34 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0191826dd2f0fc54dfce72ce729d142ddecbabcf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Mar 29 14:53:49 2010 -0400

    config: remove the pkgconfig pc.in file from EXTRA_DIST
    
    Automake always includes it in the tarball.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d2d6e4d88b62aa84e2cc9d229adf32ede81cbf5c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Feb 16 10:37:21 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b3807dccab5aee5455137654647c9c083addb31e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Nov 27 20:56:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 79c70fcf676778192e1d7bb0a194d75cb7227506
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit e7337c1598b8f258122a1f1307b3c83ab6c74a9c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:25 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit e3bd17c452be528f773bc976636ecc0c71bdba99
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:43 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit e6631b8352ff83ee69c1076846b4500304d978eb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:20 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 6210f1d458fa765699412b404fb88e40aeebf9e0
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:27 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit eb4dbb8aac0858e1ee7169b2e0b90d5e3223de59
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 13 18:37:00 2009 -0700

    Use font-utils 1.1 macros to find encodings path
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e609e939f8b2573ac50bdd317733a2fef194965a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 28 14:14:11 2009 +1000

    libfontenc 1.0.5
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8a0bd244c5da5baae73c51e45b075b1412682e43
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Feb 2 20:34:38 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f160a71e9501a9d650fd99e9a080970bfd520abb
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Jan 28 16:25:32 2009 -0200

    Janitor: Correct make distcheck and compiler warnings.

commit 90f2dfbc40d6fa72213f508b0dd85f00965b6194
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:21 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit 1b4ca41a58016053220047b9f77a2eec812c03a0
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Dec 16 01:19:45 2006 +0200

    bump to 1.0.4

commit 38855c00c9efe88af97a5f8208c2e6aef0e9e93f
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Dec 6 18:57:29 2006 +0200

    Makefile.am: make ChangeLog hook safer
    Make ChangeLog hook as safe as possible.

commit 111a9501c2c01d4b4f00ed221035953bfb256898
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 15:20:48 2006 -0400

    Bump to 1.0.3

commit fc19e19275c213f5122b120e7b45f63c302916a1
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Thu Oct 12 18:35:04 2006 -0400

    Fix ChangeLog hook to distcheck.

commit 2de626b53827fa1365c149c3fd2e1e280f8691e2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 4 19:31:23 2006 -0700

    Mark character mapping data tables as const

commit 2daccee698507b27113e89b07af371905aa2bcd4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 4 19:13:17 2006 -0700

    Clear sparse warnings: Using plain integer as NULL pointer

commit b00dcc90e490454fdd983b4bf6d0fa92ab91d0be
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 4 18:50:44 2006 -0700

    Add XORG_WITH_LINT support for checking source code with lint/sparse/etc.

commit 5d18f978c9085c3c9d9a44c90e73055125e11a68
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 4 18:50:07 2006 -0700

    Clear sparse warning: non-ANSI function declaration of function 'FontEncDirectory'

commit 1dc8867f53a81d6e1c413d393039747668d27bd4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 4 18:34:20 2006 -0700

    Replace static ChangeLog with dist-hook to generate from git log

commit 81b27280717dc7e06a9ebbd196fae03a9e719db3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 4 18:32:38 2006 -0700

    Add *~ to .gitignore to skip over emacs droppings

commit 187ec5a0cd96c3b6b13b9ccae51e2828db7c6d3e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Oct 4 18:32:07 2006 -0700

    Copy copyright notice/license from source to COPYING

commit 1a9f5d7cb1aba4d65b28b5cdcaa7b68053b733ee
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jul 13 14:59:16 2006 -0700

    renamed: .cvsignore -> .gitignore

commit 2c2f63d0f17106964c808f8f0ec5bb58f35b4fe5
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jun 3 06:33:40 2006 +0000

    Coverity #1523: Dereferencing freed pointer "mapping"

commit f991560c0f599d82b23380de4a681b0d218f5cef
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Apr 26 23:55:31 2006 +0000

    Bump to 1.0.2

commit a9604c242f7f53a8cd26a2764c1a96e25ea2e1a7
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Apr 10 16:15:12 2006 +0000

    Fix another file descriptor leak (related to previous Coverity #544)

commit d86b38b96854bc60d4a2c4595e73cf53aa36d85c
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 00:35:36 2006 +0000

    Coverity #544: File a file descriptor leak.

commit 78f355698128454370590040699c2141ae69d7d9
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:30:06 2005 +0000

    Update package version for X11R7 release.

commit c7a14086fbe226169f7ea5df80c4d885082fb732
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:28:28 2005 +0000

    Stub COPYING files

commit 55035bfbae0ca22399623d78411cc50bfdee2705
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:36 2005 +0000

    Update package version number for final X11R7 release candidate.

commit d146b3a17228204ce0fe3bcca72de53cedebf5fb
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Dec 9 06:07:14 2005 +0000

    Bug #5175: Make encodingsdir configurable (David Coulthart and Kevin E.
        Martin)

commit acb0d67e5f0293f960a923cda6eb359a82f7036e
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:46 2005 +0000

    Update package version number for X11R7 RC3 release.

commit c2e139f8726cde5bbae609865b609f087b3f651b
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:44 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit 21b115927640683b90fc1304f7b921da51aabf64
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:19:14 2005 +0000

    Update package version number for X11R7 RC2 release.

commit d9ece44e76f0c2dcfacb5ff00e59cae2741e3c96
Author: Kean Johnson <kean@armory.com>
Date:   Tue Nov 8 06:33:26 2005 +0000

    See ChangeLog entry 2005-11-07 for details.

commit 632f53206e104b372db255c5171c3479d87b683b
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:48:12 2005 +0000

    Update package version number for RC1 release.

commit 49e4c36c1bf2ccc3af576c489abf76bea4bf64b1
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Aug 3 03:28:03 2005 +0000

    Do PKG_CHECK_MODULES on a unique token instead of on "DEP", so builds with
        a global configure cache don't get confused.

commit 8a6fb4344eb5c13198125996e43a0898a19818f8
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:54 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 9e8be492f61095813f5e9b01c8d54ffb1550f339
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Jul 16 07:51:05 2005 +0000

    Set soversion to 1.0 using -version-number.

commit 11b206733618d73946a8c298d2d5f2183075657f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Jul 13 16:51:34 2005 +0000

    Update INCLUDES to find <X11/fonts/fontenc.h>

commit 85094af610ba990c6bc2377eff1f6f31dffd48e2
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jul 12 21:05:28 2005 +0000

    Remove encodings build system from libfontenc

commit 8deaa94831b1a5926db928a68a6acbbe3ee9a904
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 23:31:40 2005 +0000

    Switch from monolithic configuration symbols to modular ones, add backward
        compatibility for monolithic symbols

commit ec602c9639e4eedb36a570943999fea0a07b5f8c
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 21:15:50 2005 +0000

    Add .cvsignore files
    Depend on xproto, not x11 so we do not link against -X11

commit 0767d4880359983cbe83a4ea396d81efb5d6882b
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Jul 3 07:01:00 2005 +0000

    Add Xtrans definitions (FONT_t, TRANS_CLIENT) to clean up warnings.
    Add XSERV_t, TRANS_SERVER, TRANS_REOPEN to quash warnings.
    Add #include <dix-config.h> or <xorg-config.h>, as appropriate, to all
        source files in the xserver/xorg tree, predicated on defines of
        HAVE_{DIX,XORG}_CONFIG_H. Change all Xfont includes to
        <X11/fonts/foo.h>.

commit f6c6acf593686015fa639e3583f70cc6d5f5d7b3
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Thu Jun 30 13:21:11 2005 +0000

    Check for zlib

commit 092271385632708fb5dd53dca3dcfc3ead06ef6c
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jun 28 15:40:27 2005 +0000

    modularizeapp.sh: initialize LAST to "" symlink.sh: Add bitmaps for oclock,
        and an extra textfile for pclcomp

commit 21e552451c095c5668a57765c2eb941750e00ecd
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jun 28 14:48:02 2005 +0000

    Add generation of encodings.dir

commit a18d9ec0c4bfa36460d5e3eba1c5fb8a90086500
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Tue Jun 28 14:17:12 2005 +0000

    Add encodings to fontenc build system, plus various fixes to make it
        distcheck.

commit bcdcaebcd2127f4e7e1c368f341a781b4cf8af6b
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Mon Jun 27 16:09:14 2005 +0000

    - Remove fontenc from Xfont
    - Add a dependency from Xfont on libfontenc
    - Add build system for lib/fontenc
    - xc/lib/font: Change #include "fontenc.h" to #include
        <X11/fonts/fontenc.h> in some places.
    - Remove dpsinfo and dpsexec from the app section of symlink.sh
    - Fix xp.pc.in to add XPRINT_LIBS/CFLAGS instead of X_LIBS/CFLAGS

commit e80fd1617092d128d54a9400a4974ffafbb3083e
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 18:44:23 2004 +0000

    Merging XORG-CURRENT into trunk

commit 072f90aeb09035953b966233059139d161d3a5f0
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:32:36 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 7fb87aa305856f07d7a57b3296ade04b1f012f1a
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:11:43 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 993a15d0255a72bdfbc6c2c43e9c164f0919e682
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:35:35 2004 +0000

    readding XFree86's cvs IDs

commit eec99218eac07b50f0d25c2789abb5dfcc8f6c9d
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:22:53 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit faa2a922a0dbd16844055f83a159dab92a383376
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Mon Feb 23 20:34:43 2004 +0000

    Import most of XFree86 4.4RC3. This import excludes files which have the
        new license. If we want to, later we can import 4.4RC3 again and pick
        up the files that have the new license, but for now the vendor branch
        is "pure."

commit 7ea6ca71ac6825b9a28510f23c35d8b480752c41
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Dec 19 20:54:44 2003 +0000

    XFree86 4.3.99.902 (RC 2)

commit f431cd8bc5d7fb3a385609c9ac99deabb79ab023
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:50 2003 +0000

    XFree86 4.3.0.1

commit f1b010ee7ae89b23af8fe4c92103db775ae35aed
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:50 2003 +0000

    Initial revision
